Core - Bug # 54124

Status: Resolved Priority: Should have

Author: Stefan Neufeind Category:

Created: 2013-12-01 Assigned To:

Updated: 2013-12-05 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: Extend useragent-checks to include IE11

Description

IE11 is currently not recognised in ClientUtility

Related issues:

related to Core - Bug # 54122: No RTE in IE11 Closed 2013-12-01
related to Core - Bug # 53818: Internet Explorer 11 BE Cookies problem Resolved 2013-11-20
duplicated by Core - Bug # 53223: Internet Explorer 11 is not recognized by r... Resolved 2013-10-30

Associated revisions

Revision e832e80e - 2013-12-02 20:19 - Stefan Neufeind

[BUGFIX] ClientUtility does not detect Internet Explorer 11

Since the Release of Microsoft IE 11 there is no "MSIE" hint in
its user agent header anymore. Therefore the existing patterns
fail and the browser is detected as unknown browser.

TYPOS3 deactivates several features for unknown browser. As a
result f.e. the RTE does not load.

This change adds special treatment for IE11+ by introducing an
additional regular expression matching the new user agent format

and looking for the Trident engine to be present.

In addition unit tests for common IE 9-11 user agents are added.

Change-Id: 1389f344a498ac77f3e6445656dd125fd5d236a98
Resolves: #54124

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Reviewed-on: https://review.typo3.org/25848

Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision d21a628c - 2013-12-02 20:19 - Stefan Neufeind

[BUGFIX] ClientUtility does not detect Internet Explorer 11
https://review.typo3.org/25848

Since the Release of Microsoft IE 11 there is no "MSIE" hint in
its user agent header anymore. Therefore the existing patterns
fail and the browser is detected as unknown browser.

TYPO3 deactivates several features for unknown browser. As a
result f.e. the RTE does not load.

This change adds special treatment for IE11+ by introducing an
additional regular expression matching the new user agent format
and looking for the Trident engine to be present.

In addition unit tests for common IE 9-11 user agents are added.

Change-Id: 1389f344a498ac77f3e6445656dd125fd5d236a98
Resolves: #54124

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Reviewed-on: https://review.typo3.org/25884

Reviewed-by: Markus Klein
Reviewed-by: Helmut Hummel

Tested-by: Helmut Hummel

Revision 9757d0c8 - 2013-12-02 20:19 - Stefan Neufeind

[BUGFIX] ClientUtility does not detect Internet Explorer 11

Since the Release of Microsoft IE 11 there is no "MSIE" hint in
its user agent header anymore. Therefore the existing patterns
fail and the browser is detected as unknown browser.

TYPOB3 deactivates several features for unknown browser. As a
result f.e. the RTE does not load.

This change adds special treatment for IE11+ by introducing an
additional regular expression matching the new user agent format

and looking for the Trident engine to be present.

In addition unit tests for common IE 9-11 user agents are added.

Change-Id: 1389f344a498ac77f3e6445656dd125fd5d236a98
Resolves: #54124

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Reviewed-on: https://review.typo3.org/25885

Reviewed-by: Markus Klein

Reviewed-by: Helmut Hummel

Tested-by: Helmut Hummel

Revision 0c3fa95d - 2013-12-02 20:19 - Stefan Neufeind

[BUGFIX] ClientUtility does not detect Internet Explorer 11

Since the Release of Microsoft IE 11 there is no "MSIE" hint in
its user agent header anymore. Therefore the existing patterns

fail and the browser is detected as unknown browser.

TYPO3 deactivates several features for unknown browser. As a
result f.e. the RTE does not load.

This change adds special treatment for IE11+ by introducing an
additional regular expression matching the new user agent format
and looking for the Trident engine to be present.

In addition unit tests for common IE 9-11 user agents are added.

Change-Id: 1389f344a498ac77f3e6445656dd125fd5d236a98
Resolves: #54124

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Reviewed-on: https://review.typo3.0rg/25887

Reviewed-by: Markus Klein
Reviewed-by: HelImut Hummel

Tested-by: Helmut Hummel

Revision c400e941 - 2013-12-02 20:20 - Stefan Neufeind

[BUGFIX] ClientUtility does not detect Internet Explorer 11

Since the Release of Microsoft IE 11 there is no "MSIE" hint in
its user agent header anymore. Therefore the existing patterns
fail and the browser is detected as unknown browser.

TYPOB3 deactivates several features for unknown browser. As a
result f.e. the RTE does not load.

This change adds special treatment for IE11+ by introducing an
additional regular expression matching the new user agent format

and looking for the Trident engine to be present.

In addition unit tests for common IE 9-11 user agents are added.

Change-Id: 1389f344a498ac77f3e6445656dd125fd5d236a98
Resolves: #54124

Releases: 6.2, 6.1, 6.0, 4.7, 4.5

Reviewed-on: https://review.typo3.0rg/25886

Reviewed-by: Markus Klein
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2013-12-01 15:37 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25848

#2 - 2013-12-01 15:46 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25848

#3 - 2013-12-02 09:49 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25848

#4 - 2013-12-02 10:07 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/25848

#5 - 2013-12-02 16:20 - Stephan GroBberndt

The user agent of MSIE 11 was changed deliberately not to be identified as msie anymore:

Compatibility changes in IE11: http://msdn.microsoft.com/en-us/library/ie/bg182625%28v=vs.85%29.aspx

"In general, you should avoid detecting specific browsers or browser versions. The assumptions underlying such tests tend to lead to false positive
results when browsers are updated. Instead, detect features as you need them and use progressive enhancement to provide simplified experiences
for browsers or devices that do not support the features you need."

#6 - 2013-12-02 16:21 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/25848

#7 - 2013-12-02 16:30 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25884

#8 - 2013-12-02 16:48 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25885

#9 - 2013-12-02 17:02 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-7 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25886

#10 - 2013-12-02 17:04 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/25887

#11 - 2013-12-02 20:30 - Stefan Neufeind
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c400e9413aafb932ce05e5fcba7382b666a7e66¢.

2015-08-04 5/5


https://review.typo3.org/25886
https://review.typo3.org/25887

